org.eclipse.wst.jsdt.chromium.debug.ui.launcher

## Class LaunchTabGroup

- java.lang.Object
- - AbstractLaunchConfigurationTabGroup
  - - org.eclipse.wst.jsdt.chromium.debug.ui.launcher.LaunchTabGroup

Direct Known Subclasses:
  LaunchTabGroup.StandaloneV8, LaunchTabGroup.Wip

    public abstract class LaunchTabGroup
    extends AbstractLaunchConfigurationTabGroup

The Chromium JavaScript debugger launch configuration tab group.

### Nested Class Summary

Nested Classes
`static class` `LaunchTabGroup.StandaloneV8`
`static class` `LaunchTabGroup.Wip`

### Constructor Summary

Constructors
Constructor and Description
`LaunchTabGroup()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract ChromiumRemoteTab<?>` `createRemoteTab()`
`protected java.util.ArrayList<ILaunchConfigurationTab>` `createTabList(ILaunchConfigurationDialog dialog, java.lang.String mode)`
`void` `createTabs(ILaunchConfigurationDialog dialog, java.lang.String mode)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LaunchTabGroup

    public LaunchTabGroup()

### Method Detail

#### createTabs

    public void createTabs(ILaunchConfigurationDialog dialog,
                           java.lang.String mode)

#### createTabList

    protected java.util.ArrayList<ILaunchConfigurationTab> createTabList(ILaunchConfigurationDialog dialog,
                                                                         java.lang.String mode)

#### createRemoteTab

    protected abstract ChromiumRemoteTab<?> createRemoteTab()